> For the complete documentation index, see [llms.txt](https://docs.imerit.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.imerit.net/sdk/sdk-documentation/organization-level-sdk-functions/get_storages.md).

# get\_storages

`imerit_ango.sdk.SDK.`

## get\_storages(storage\_id)

Retrieve the list of all [storage](/data/storages.md) integrations in your organization.

### Parameters

* **storage\_id:** string, *Optional, Default None*
  * The unique identifier for the storage. You can retrieve the storage ID using [`get_storages`](/sdk/sdk-documentation/organization-level-sdk-functions/get_storages.md) function.

Returns:

* **output:** dict
  * A dictionary containing the result of the operation.
  * Including a `status` field indicating whether the request was successful and a `data` field containing the response payload with updated resources produced by the operation.

### Example

Retrieve all storages in the organization

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')

ango_sdk = SDK(api_key)

sdk_response = ango_sdk.get_storages()
storage_list = sdk_response['data']['storages']
```

{% endtab %}

{% tab title="curl" %}

```bash
curl -X GET "https://imeritapi.ango.ai/v2/storages" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY"
```

{% endtab %}
{% endtabs %}

Retrieve a specific storage

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')

ango_sdk = SDK(api_key)

storage_id = "<STORAGE ID>"
storage = ango_sdk.get_storages(storage_id=storage_id)
```

{% endtab %}

{% tab title="curl" %}

```bash
curl -X GET "https://imeritapi.ango.ai/v2/storages?_id=<STORAGE ID>" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY"
```

{% endtab %}
{% endtabs %}

<details>

<summary>Sample Output</summary>

```json
{
    "name": "My Storage",
    "provider": "AWS",
    "s3AccessType": "IAM_USER",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "user@imerit.net",
    "publicKey": "<YOUR PUBLIC KEY>",
    "privateKey": "<YOUR PRIVATE KEY>",
    "region": "<YOUR REGION>",
    "useAccelerateEndpoint": false,
    "credentials": "<YOUR CREDENTIALS>",
    "organization": {
        "id": "ORGANIZATION_ID"
    },
    "deleted": false,
    "_id": "STORAGE_ID"
}
```

</details>

{% hint style="info" %}
**See also**

[delete\_storage](/sdk/sdk-documentation/organization-level-sdk-functions/delete_storage.md), [create\_storage](/sdk/sdk-documentation/organization-level-sdk-functions/create_storage.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.imerit.net/sdk/sdk-documentation/organization-level-sdk-functions/get_storages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
